// code by jph
package kah;

import java.util.LinkedList;
import java.util.List;

import kah.mov.Move;
import kah.mov.UserMove;

public class BreadthFirstMinimax extends Minimax {
  List<Move> myPrev = new LinkedList<>();
  
  public BreadthFirstMinimax(Board board, int max_flips, int total) {
    super(new UserMove(board, 0, 0));
    // ---
    myPrev.add(myUserRoot);
    int flips = 0;
    System.out.println("----");
    while (myPrev.size() < total && flips < max_flips) {
      flips += 2;
      List<Move> myNext = new LinkedList<>();
      for (Move myRoot : myPrev) {
        Explore myExplore = new Explore(myRoot, flips);
        myNext.addAll(myExplore.myLeafs);
      }
      System.out.println(flips+"  == "+myNext.size());
      myPrev = myNext;
    }
    // ---
    myResult = computeResult();
  }

  @Override
  int getLeafCount() {
    return myPrev.size(); // TODO
  }
}
