// code by jph
package kah.var;

import java.util.function.Supplier;

public enum Variant {
  Standard(() -> new Rules() { /* */ }), //
  EmptyCapture(() -> new EmptyCapture()), //
  Clockwise(() -> new Clockwise()), //
  NoRemaining(() -> new NoRemaining()), //
  ;
  // ---
  private final Supplier<Rules> supplier;

  Variant(Supplier<Rules> supplier) {
    this.supplier = supplier;
  }
  
  public Rules getRules() {
    return supplier.get();
  }
}
