// code by jph
package sys;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class ListUtils {
  // code inspired by https://stackoverflow.com/questions/10117026/convert-iterator-to-arraylist/10117051#10117051
  public static <Type> List<Type> copyIterator(Iterable<Type> myIterable) {
    List<Type> myList = new ArrayList<Type>();
    Iterator<Type> myIterator = myIterable.iterator();
    while (myIterator.hasNext())
      myList.add(myIterator.next());
    return myList;
  }
}
