// code by jph
package kah;

import kah.mov.UserMove;

/**
 * build search tree with first move by computer
 * depth first search
 * 
 * @param board after last move by user
 * @param max_depth of recursion, counting down
 * @return null, or instance of Minimax
 */
public class DepthFirstMinimax extends Minimax {
  public final Explore myExplore;

  public DepthFirstMinimax(Board board, int flips) {
    super(new UserMove(board, 0, 0));
//    assert flips <= depth;
    // ---
    myExplore = new Explore(myUserRoot, flips);
    // ---
    myResult = computeResult();
  }

  @Override
  int getLeafCount() {
    return myExplore.myLeafs.size();
  }
  // private void buildRecursive(Move move, boolean parallel) {
  // ++nodes;
  // if (move instanceof UserMove && max_flips <= move.flips) {
  // // leaf condition; do nothing
  // ++leafs;
  // } else {
  // // loop over all pits with stones
  // IntStream intStream = new IntRange(6).stream().filter(move.board::hasStones);
  // if (parallel) {
  // assert !intStream.isParallel();
  // intStream.parallel();
  // }
  // intStream.forEach(pos -> buildRecursive(move.nextMove(pos), false));
  // if (move.board.isMoveTerminal())
  // buildRecursive(move.nextMoveTerminal(), false);
  // }
  // }
}
